<template>
  <nav
    v-show="isNavBarVisible"
    id="navbar-main"
    class="navbar is-fixed-top"
  >
    <div class="container">
      <div class="navbar-brand">
        <div class="navbar-item has-control no-left-space-desktop-only">
          <div class="control">
            <a
              href="https://zerow-project.eu/"
              target="_blank"
            >
              <img
                src="../assets/Logo-ZeroW.webp"
                alt="ZeroW Logo"
              >
            </a>
          </div>
        </div>
      </div>
      <div
        class="navbar-menu fadeIn animated faster"
        :class="{ 'is-active': isMenuActive }"
      />
    </div>
  </nav>
</template>

<script>
import { defineComponent } from '@vue/composition-api'
import { mapState } from 'vuex'
import NavBarMenu from '@/components/NavBarMenu.vue'
import UserAvatar from '@/components/UserAvatar.vue'

export default defineComponent({
  name: 'NavBar',
  components: {
    UserAvatar,
    NavBarMenu
  },
  data () {
    return {
      isMenuActive: false
    }
  },
  computed: {
    ...mapState([
      'isAsideMobileExpanded',
      'isNavBarVisible',
      'userName'
    ])
  },
  mounted () {
  },
  methods: {}
})
</script>
